Summary:        Intrusion detection environment
Name:           aide
Version:        0.18.6
Release:        1%{?dist}
License:        GPLv2+
URL:            http://sourceforge.net/projects/aide

Source0:        https://github.com/aide/aide/releases/download/v%{version}/aide-%{version}.tar.gz
Source1:        aide.conf
Source2:        README.quickstart
Source3:        aide.logrotate

Patch5000:      add-sm3-support.patch

BuildRequires:  gcc make automake autoconf
BuildRequires:  bison libtool
BuildRequires:  pcre-devel flex
BuildRequires:  libgpg-error-devel libgcrypt-devel
BuildRequires:  zlib-devel libcurl-devel libacl-devel
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  libattr-devel e2fsprogs-devel audit-libs-devel

Requires:       libgcrypt

%description
AIDE (Advanced Intrusion Detection Environment) is a file integrity
checker and intrusion detection program.

%prep
%autosetup -p1
cp -a %SOURCE2 .

%build
#autoreconf -ivf
%configure  \
  --disable-static \
  --with-config_file=%{_sysconfdir}/aide.conf \
  --with-gcrypt \
  --with-zlib \
  --with-curl \
  --with-posix-acl \
  --with-selinux \
  --with-xattr \
  --with-e2fsattrs \
  --with-audit
%make_build

%install
%make_install bindir=%{_sbindir}
install -Dpm0644 -t %{buildroot}%{_sysconfdir} %SOURCE1
install -Dpm0644 %SOURCE3 %{buildroot}%{_sysconfdir}/logrotate.d/aide
mkdir -p %{buildroot}%{_localstatedir}/log/aide
mkdir -p -m0700 %{buildroot}%{_localstatedir}/lib/aide

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README contrib/ README.quickstart
%{_sbindir}/aide
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/aide.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/aide
%dir %attr(0700,root,root) %{_localstatedir}/lib/aide
%dir %attr(0700,root,root) %{_localstatedir}/log/aide

%changelog
* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 0.18.6-1
- Upgrade to version 0.18.6

* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 0.16-6
- Rebuild for curl-8.4.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.16-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jun 9 2023 Wang Guodong <gordonwwang@tencent.com> - 0.16-4
- add sm3 support.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.16-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.16-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 25 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.16-1
- package init.
